Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

I wanted to use a security key but was told Firefox does not support them. I may have to move to Chrome.

  • 8 replies
  • 1 has this problem
  • 1 view
  • Last reply by WestEnd

more options

What is the solution then? I do need to protect my passwords and this looks a good way to do it.

All Replies (8)

more options

Can you please elaborate what you mean by security key? Thank you!

Also, note that you are using an old version of Firefox. Please update to Firefox 62.

more options
more options

I was trying to implement FIDO 2FA. looking at the Yubico web site I simly followed the instructions. I should add I am not an IT or PC expert but I can follow instructions.

As fro the update i thought I had the latest version. I usually say "Yes" when the occasion arises.

more options

PS I have just checked my version and it says I am up to date with version 60.2.

GS Perry

more options

GeorgePerry said

PS I have just checked my version and it says I am up to date with version 60.2. GS Perry

Latest version is 62.0.3...

more options
more options

"Options" Up-date says I have latest version 60.2.2esr (32bit).

Does not deal with getting FIDO 2FA working.

Will abandon it for now.

G S P

more options

To GeorgePerry does the standard Firefox not work from the ESR if that is case?